//! # Admin auth options API structure
//!
//! @author Pierre Hubert

use serde::Serialize;

use crate::data::admin::Admin;

#[derive(Serialize)]
pub struct AdminAuthOptions {
    reset_token: bool,
}

impl AdminAuthOptions {
    pub fn new(admin: &Admin) -> Self {
        Self {
            reset_token: admin.reset_token.is_some()
        }
    }
}